<div>
  <cdk-virtual-scroll-viewport itemSize="67" class="demo-infinite-container">
    <nz-list class="list">
      <nz-list-item *cdkVirtualFor="let data of ds; let i = index" class="list-item"
        [ngClass]="{'no-view': data.isViewed === 'N'}" (click)="changeStatus(data)">
        <nz-list-item class="item">
          <div class="row">
            <div nz-col nzSpan="2" class="bell">
              <div>
                <em nz-icon nzType="bell" nzTheme="outline"></em>
              </div>
            </div>
            <div nz-col nzSpan="20" class="title" nzTooltipTitle="{{ data.subject?.length < 30 ? null : data.subject }}"
                    nzTooltipPlacement="bottomLeft" nz-tooltip>{{ data.subject }}</div>
            <div nz-col nzSpan="2"> <em (click)="setTodoStatus(data); $event.stopPropagation();"
                [ngClass]="{'active fas' : data.todoStatus === 'Y', 'fal' : data.todoStatus === 'N'}"
                class="fas fa-flag"></em>
            </div>
          </div>
          <div class="row">
            <div nz-col nzSpan="2"></div>
            <div nz-col nzSpan="16" class="description" nzTooltipTitle="{{ data.shortContent?.length < 30 ? null : data.shortContent }}"
              nzTooltipPlacement="bottomLeft" nz-tooltip>{{ data.shortContent }}</div>
            <div nz-col nzSpan="6" class="initialized-date"><em class="fal fa-clock"></em> {{ data.initializedDate }} </div>
          </div>
        </nz-list-item>
      </nz-list-item>
      <div class="loading" *ngIf="ds.isLoading"><em nz-icon [nzType]="'loading'"></em></div>
    </nz-list>
  </cdk-virtual-scroll-viewport>
</div>
